## salt 2014.1.13+ds

=== requirements.txt ===
Jinja2
M2Crypto
msgpack-python
pycrypto
PyYAML
pyzmq >= 2.2.0
MarkupSafe
apache-libcloud

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build
SPHINXLANG    =

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# ----- Translations Support ------------------------------------------------>
#  If language is set, also set translation options
ifeq ($(shell [ "x$(SPHINXLANG)" != "x" ] && echo 0 || echo 1), 0)
TRANSLATIONOPTS = -D language='$(SPHINXLANG)'
else
TRANSLATIONOPTS =
endif

#  Reset settings if sphinx-intl is not available
ifeq ($(shell which sphinx-intl >/dev/null 2>&1; echo $$?), 1)
SPHINXLANG =
TRANSLATIONOPTS =
endif
# <---- Translations Support -------------------------------------------------

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(TRANSLATIONOPTS) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext translations download-translations

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*
	find locale/ -name *.mo -exec rm {} \;

html: translations
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml: translations
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml: translations
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle: translations
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json: translations
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp: translations
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp: translations
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Salt.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Salt.qhc"

devhelp: translations
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Salt"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Salt"
	@echo "# devhelp"

epub: translations
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex: translations
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf: translations
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja: translations
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text: translations
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man: translations
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo: translations
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info: translations
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale"

changes: translations
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml: translations
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml: translations
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."


translations:
	
	@if [ "$(SPHINXLANG)" = "en" ] || [ "x$(SPHINXLANG)" = "x" ]; then \
		echo "No need to update translations. Skipping..."; \
	elif [ ! -d locale/$(SPHINXLANG) ]; then \
		echo "The locale directory for $(SPHINXLANG) does not exist"; \
		exit 1; \
	else \
		echo "Compiling exising message catalog for '$(SPHINXLANG)'"; \
		.scripts/compile-translation-catalogs; \
	fi

download-translations:
	@echo "Downloading $(SPHINXLANG) translations"
	.scripts/download-translation-catalog $(SPHINXLANG)

=== pkg/smartos/esky/requirements.txt ===
GitPython==0.3.2.RC1
halite
cherrypy

=== tests/integration/files/file/base/issue-1959-virtualenv-runas/requirements.txt ===
pep8==1.3.3

=== debian/changelog ===
salt (2014.1.13+ds-3) unstable; urgency=medium

  * [5273cd4] Added python-msgpack dependency. Closes: 777665

 -- Joe Healy <joehealy@gmail.com>  Fri, 13 Feb 2015 16:27:17 +1100

salt (2014.1.13+ds-2) unstable; urgency=medium

  * [da66ee3] Addition of patch to ensure systemd service functionality works
    (Closes: 770174)
  * [6a17bb9] Added patch to prevent crash when unicode text is output from salt
    (Closes: 770909)

 -- Joe Healy <joehealy@gmail.com>  Thu, 27 Nov 2014 15:49:13 +1100

salt (2014.1.13+ds-1) unstable; urgency=medium

  * [448ac5b] Imported Upstream version 2014.1.13+ds
  * [9b5d860] Added python-apt as a dependency
  * [c068fad] Removed patch for 2014.1.11 release notes as upstream added notes
  * [4a22a13] Updated to standards version 3.9.6, no change needed

 -- Joe Healy <joehealy@gmail.com>  Tue, 21 Oct 2014 00:30:37 +1100

salt (2014.1.11+ds-2) unstable; urgency=medium

  * [fa6cb29] Added 2014.1.11 release notes

 -- Joe Healy <joehealy@gmail.com>  Fri, 26 Sep 2014 13:58:18 +1000

salt (2014.1.11+ds-1) unstable; urgency=medium

  * [d0fbbd5] Imported Upstream version 2014.1.11+ds
  * [edd6667] Fixed minor copyright issues picked up by lintian

 -- Joe Healy <joehealy@gmail.com>  Fri, 26 Sep 2014 13:31:11 +1000

=== debian/control ===
Source: salt
Section: admin
Priority: extra
Maintainer: Debian Salt Team <pkg-salt-team@lists.alioth.debian.org>
Uploaders: Joe Healy <joehealy@gmail.com>,
           Franklin G Mendoza <franklin.g.mendoza@gmail.com>,
           Andriy Senkovych <jolly_roger@itblog.org.ua>
Build-Depends: debhelper (>= 9.20120410~),
               bash-completion,
               python | python-all | python-dev | python-all-dev,
               python-setuptools,
               python-sphinx (>= 1.0),
               dh-systemd (>= 1.4)
Standards-Version: 3.9.6
Homepage: http://saltstack.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-salt/salt.git
Vcs-Git: git://anonscm.debian.org/pkg-salt/salt.git

Package: salt-common
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         python,
         python-jinja2,
         python-apt,
         python-yaml,
         python-msgpack,
         python-pkg-resources
Recommends: lsb-release,
            python-mako
Suggests: salt-doc (= ${source:Version})
Breaks: python-mako (<< 0.7.0)
Description: shared libraries that salt requires for all packages
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides shared libraries that
 salt-master, salt-minion, and salt-syndic require to function.

Package: salt-master
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         salt-common (= ${source:Version}),
         python-m2crypto,
         python-crypto,
         python-msgpack,
         python-zmq (>= 13.1.0)
Recommends: python-git
Description: remote manager to administer servers via salt
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the salt controller.

Package: salt-minion
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         salt-common (= ${source:Version}),
         python-m2crypto,
         python-crypto,
         python-msgpack,
         python-zmq (>= 13.1.0),
         dctrl-tools
Recommends: dmidecode,
            debconf-utils
Suggests: python-augeas
Description: client package for salt, the distributed remote execution system
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the worker / agent for salt.

Package: salt-syndic
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         salt-master (= ${source:Version})
Description: master-of-masters for salt, the distributed remote execution system
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the master of masters for salt
 - it enables the management of multiple masters at a time.

Package: salt-ssh
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         salt-common (= ${source:Version}),
         python-msgpack,
         sshpass
Description: remote manager to administer servers via salt
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the salt ssh controller. It
 is able to run salt modules and states on remote hosts via ssh.
 No minion or other salt specific software needs to be installed
 on the remote host.

Package: salt-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
	 libjs-sphinxdoc,
	 libjs-modernizr,
	 libjs-twitter-bootstrap,
	 libjs-jquery
Description: additional documentation for salt, the distributed remote execution system
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the HTML documentation for
 salt.

Package: salt-cloud
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         salt-common (= ${source:Version}),
         python-libcloud (>= 0.14.1-1),
         sshpass
Suggests: python-botocore
Recommends: python-netaddr
Description: public cloud VM management system
 provision virtual machines on various public clouds via a cleanly
 controlled profile and mapping system.

## salt 2014.7.0+ds

=== debian/changelog ===
salt (2014.7.0+ds-2) experimental; urgency=medium

  * [9954f59] Added python-requests as a dependency

 -- Joe Healy <joehealy@gmail.com>  Wed, 12 Nov 2014 15:26:00 +1100

salt (2014.7.0+ds-1) experimental; urgency=medium

  * [8e2c682] Imported Upstream version 2014.7.0+ds
  * [2ad9738] Updated patches for 2014.7 release
  * [0ac1a0c] Updated dependencies for initial 2014.7 release

 -- Joe Healy <joehealy@gmail.com>  Wed, 12 Nov 2014 10:36:31 +1100

=== debian/control ===
--- 
+++ 
@@ -25,8 +25,8 @@
          python-jinja2,
          python-apt,
          python-yaml,
-         python-msgpack,
-         python-pkg-resources
+         python-pkg-resources,
+         python-requests (>= 1.0.0)
 Recommends: lsb-release,
             python-mako
 Suggests: salt-doc (= ${source:Version})
@@ -142,8 +142,7 @@
 Depends: ${misc:Depends},
          ${python:Depends},
          salt-common (= ${source:Version}),
-         python-msgpack,
-         sshpass
+         python-msgpack
 Description: remote manager to administer servers via salt
  salt is a powerful remote execution manager that can be used to
  administer servers in a fast and efficient way.
@@ -199,8 +198,7 @@
 Depends: ${python:Depends},
          ${misc:Depends},
          salt-common (= ${source:Version}),
-         python-libcloud (>= 0.14.1-1),
-         sshpass
+         python-libcloud (>= 0.14.1-1)
 Suggests: python-botocore
 Recommends: python-netaddr
 Description: public cloud VM management system

## salt 2015.5.3+ds

=== debian/changelog ===
salt (2015.5.3+ds-1) unstable; urgency=medium

  * [e481db1] Imported Upstream version 2015.5.3+ds
  * [16f6801] Added salt-minion dependency on bsdmainutils. Closes: 790758
  * [761f735] Added dependency on python-croniter. Closes: 771015
  * [5b957bb] Weakened dependency on python-mako to suggests.

 -- Joe Healy <joehealy@gmail.com>  Tue, 28 Jul 2015 22:37:05 +1000

salt (2015.5.2+ds-1) unstable; urgency=medium

  * [e6d32ad] Updated repack script to remove new sphinx theme
  * [48bdace] Imported Upstream version 2015.5.2+ds
  * [9e98c1c] Updated patches for 2015.5.2 and set doc theme to saltstack

 -- Joe Healy <joehealy@gmail.com>  Wed, 01 Jul 2015 00:13:37 +1000

salt (2015.5.0+ds-1) unstable; urgency=medium

  * [52d8863] Imported Upstream version 2015.5.0+ds. Closes: 783300
  * [bd5ad46] Updated patches for 2015.5. Closes: 777664

 -- Joe Healy <joehealy@gmail.com>  Mon, 11 May 2015 21:53:01 +1000

salt (2014.7.5+ds-1) unstable; urgency=medium

  * [f41091a] Imported Upstream version 2014.7.5+ds

 -- Joe Healy <joehealy@gmail.com>  Tue, 21 Apr 2015 11:46:27 +1000

salt (2014.7.4+ds-1) UNRELEASED; urgency=medium

  [ Benjamin Drung ]
  * [c1f16f3] debian/changelog: Use capital UNRELEASED
  * [48334b4] Point Vcs-Browser to cgit instead of gitweb.
  * [b9e3de4] Remove unused ${shlibs:Depends} dependencies

  [ Joe Healy ]
  * [510c0d1] Imported Upstream version 2014.7.4+ds
  * [8489807] Updated doc patches

 -- Joe Healy <joehealy@gmail.com>  Wed, 15 Apr 2015 23:08:49 +1000

salt (2014.7.2+ds-1) experimental; urgency=medium

  * [dc3a14e] Added python-debian as dependency for package version tracking
  * [9de90f3] Updated changelog to relabel versions that were not uploaded
  * [984a676] Updated watch file to use pypi redirector
  * [4e082fd] Imported Upstream version 2014.7.2+ds
  * [7930d76] Added dh_python as a build dep
  * [1e2ddb6] Refreshed patches for 2014.7.2
  * [ca0f3e9] "Fixed" timestamps in generated files for reproducible builds.
  * [9ef435b] Make log file readable by adm user. Closes: 777664
  * [1feadd6] Refreshed lintian overrides and added comments as to their need

 -- Joe Healy <joehealy@gmail.com>  Tue, 17 Mar 2015 20:07:43 +1100

salt (2014.7.1+ds-3) UNRELEASED; urgency=medium

  * [70d659a] Fixed salt-api upstart script

 -- Joe Healy <joehealy@gmail.com>  Tue, 10 Feb 2015 11:20:12 +1100

salt (2014.7.1+ds-2) UNRELEASED; urgency=medium

  * [87971d4] Added dependency on python-dateutil
  * [cb9b2e2] Added init.d, systemd and upstart files for salt-api

 -- Joe Healy <joehealy@gmail.com>  Thu, 05 Feb 2015 17:22:45 +1100

salt (2014.7.1+ds-1) UNRELEASED; urgency=medium

  * [77a2f91] Imported Upstream version 2014.7.1+ds
  * [7525339] Refreshed patches for 2014.7.1
  * [314362b] Added salt-api packaging

 -- Joe Healy <joehealy@gmail.com>  Thu, 29 Jan 2015 10:12:26 +1100

=== debian/control ===
--- 
+++ 
@@ -9,27 +9,30 @@
                bash-completion,
                python | python-all | python-dev | python-all-dev,
                python-setuptools,
+               python-debian,
+               dh-python,
                python-sphinx (>= 1.0),
                dh-systemd (>= 1.4)
 Standards-Version: 3.9.6
 Homepage: http://saltstack.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-salt/salt.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-salt/salt.git
 Vcs-Git: git://anonscm.debian.org/pkg-salt/salt.git
 
 Package: salt-common
 Architecture: all
 Depends: ${python:Depends},
          ${misc:Depends},
-         ${shlibs:Depends},
          python,
+         python-dateutil,
          python-jinja2,
          python-apt,
          python-yaml,
          python-pkg-resources,
-         python-requests (>= 1.0.0)
-Recommends: lsb-release,
-            python-mako
-Suggests: salt-doc (= ${source:Version})
+         python-requests (>= 1.0.0),
+         python-croniter
+Recommends: lsb-release
+Suggests: salt-doc (= ${source:Version}),
+          python-mako
 Breaks: python-mako (<< 0.7.0)
 Description: shared libraries that salt requires for all packages
  salt is a powerful remote execution manager that can be used to
@@ -89,7 +92,8 @@
          python-crypto,
          python-msgpack,
          python-zmq (>= 13.1.0),
-         dctrl-tools
+         dctrl-tools,
+         bsdmainutils
 Recommends: dmidecode,
             debconf-utils
 Suggests: python-augeas
@@ -205,3 +209,20 @@
  provision virtual machines on various public clouds via a cleanly
  controlled profile and mapping system.
 
+Package: salt-api
+Architecture: all
+Depends: ${python:Depends},
+         ${misc:Depends},
+         python,
+         salt-master
+Recommends: python-cherrypy3
+Description: Generic, modular network access system
+ a modular interface on top of Salt that can provide a variety of entry points
+ into a running Salt system. It can start and manage multiple interfaces
+ allowing a REST API to coexist with XMLRPC or even a Websocket API.
+ .
+ The Salt API system is used to expose the fundamental aspects of Salt control
+ to external sources. salt-api acts as the bridge between Salt itself and
+ REST, Websockets, etc.
+
+

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/python/python.mk

%:
	dh $@ --with python2,bash-completion --with=systemd

override_dh_auto_build:
	dh_auto_build
	make -C doc html
	make -C doc man

override_dh_auto_clean:
	make -C doc clean
	dh_auto_clean

override_dh_fixperms:
	dh_fixperms
	chmod 2750 debian/salt-common/var/log/salt
	chown root:adm debian/salt-common/var/log/salt

## salt 2015.8.8%2Bds

=== debian/changelog ===
salt (2015.8.8+ds-1ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Command injection vulnerabilities in salt-api and
    salt-master caused by improper sanitized input.
    - debian/patches/CVE-2019-17361.patch: various netapi fixes and tests.
    - debian/patches/CVE-2020-11651_11652_1.patch: Checks and sanitization.
    - debian/patches/CVE-2020-11651_11652_2.patch: Adding in missing fixes.
    - CVE-2019-17361
    - CVE-2020-11651
    - CVE-2020-11652

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Thu, 06 Aug 2020 16:52:58 +0000

salt (2015.8.8+ds-1) unstable; urgency=high

  * New upstream release
    - CVE-2016-3176: Fix insecure configuration of PAM external
      authentication service (Closes: #819184)
  * Drop reproducible_builds.patch (accepted upstream)
  * Cherry-pick the four patches from 2015.8.8.2
  * Re-add shebang to ssh-id-wrapper shell script

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Mon, 04 Apr 2016 13:21:16 +0200

salt (2015.8.7+ds-1) unstable; urgency=medium

  * New upstream release.
  * Override lintian warning about long link in JavaScript comment.

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Mon, 22 Feb 2016 11:57:20 +0100

salt (2015.8.5+ds-1) unstable; urgency=high

  [ Benjamin Drung ]
  * Drop patches that were accepted upstream
  * Rewrite reproducible patch and sent it to upstream
  * Bump Standards-Version to 3.9.7 (no changes needed)
  * Ignore false positive source-is-missing lintian error (see #813013)

  [ Wolodja Wentland ]
  * New upstream release.
    - CVE-2016-1866: Improper handling of clear messages on the minion, which
      could result in executing commands not sent by the master.
  * Add Wolodja Wentland to Uploaders
  * Use secure URI for Vcs-Git

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 04 Feb 2016 10:44:45 +0100

salt (2015.8.3+ds-3) unstable; urgency=medium

  * Cherry-pick fix to silence warnings from (not installed) nova client

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 14 Jan 2016 15:48:02 +0100

salt (2015.8.3+ds-2) unstable; urgency=medium

  * salt-master: Depend on python-systemd for the startup notification
    unless sysvinit is used as default init system (Closes: #807741,
    LP: #1525184)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Mon, 14 Dec 2015 12:17:44 +0100

salt (2015.8.3+ds-1) unstable; urgency=high

  * New upstream release.
    - CVE-2015-8034: Fix information leak from state.sls cache data stored as
      world-readable (Closes: #807356)
  * Drop Fix-OS-related-grains-on-Debian.patch (accepted upstream)
  * Use upstream systemd service files (Closes: #806786)
  * Extend description of salt-cloud

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Wed, 09 Dec 2015 12:14:33 +0100

salt (2015.8.1+ds-2) unstable; urgency=medium

  * Demote python-croniter to recommends (only needed for the schedule state)
  * Add missing dependency on python-tornado >= 4.2
  * Fix OS related grains on Debian (wrongly named "Debian GNU")

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Fri, 06 Nov 2015 17:40:11 +0100

salt (2015.8.1+ds-1) unstable; urgency=medium

  * New upstream release (Closes: #801289)
  * debian/repack: Create xz compressed source tarball
  * Refresh reproducible_builds patch and refresh remaining patches
  * Drop make-log-file-group-readable.patch (applied upstream)
  * Require python-crypto (>= 2.6)
  * Add a separate salt-proxy package
  * Drop patch to support sphinx < 1.3 (sphinx is recent enough in unstable)
  * Add myself to uploaders
  * Raise compat level to 9
  * Update debian/copyright

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 05 Nov 2015 10:13:16 +0100

## salt 2015.8.8+ds

=== pkg/smartos/esky/requirements.txt ===
GitPython==0.3.2.RC1
-r ../../../requirements/opt.txt

=== debian/control ===
--- 
+++ 
@@ -4,35 +4,35 @@
 Maintainer: Debian Salt Team <pkg-salt-team@lists.alioth.debian.org>
 Uploaders: Joe Healy <joehealy@gmail.com>,
            Franklin G Mendoza <franklin.g.mendoza@gmail.com>,
-           Andriy Senkovych <jolly_roger@itblog.org.ua>
-Build-Depends: debhelper (>= 9.20120410~),
-               bash-completion,
+           Andriy Senkovych <jolly_roger@itblog.org.ua>,
+           Benjamin Drung <benjamin.drung@profitbricks.com>,
+           Wolodja Wentland <debian@babilen5.org>
+Build-Depends: bash-completion,
+               debhelper (>= 9.20120410~),
+               dh-python,
+               dh-systemd (>= 1.4),
                python | python-all | python-dev | python-all-dev,
+               python-debian,
                python-setuptools,
-               python-debian,
-               dh-python,
-               python-sphinx (>= 1.0),
-               dh-systemd (>= 1.4)
-Standards-Version: 3.9.6
+               python-sphinx (>= 1.3)
+Standards-Version: 3.9.7
 Homepage: http://saltstack.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-salt/salt.git
-Vcs-Git: git://anonscm.debian.org/pkg-salt/salt.git
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-salt/salt.git
 
 Package: salt-common
 Architecture: all
-Depends: ${python:Depends},
-         ${misc:Depends},
-         python,
+Depends: python-apt,
          python-dateutil,
          python-jinja2,
-         python-apt,
-         python-yaml,
          python-pkg-resources,
          python-requests (>= 1.0.0),
-         python-croniter
-Recommends: lsb-release
-Suggests: salt-doc (= ${source:Version}),
-          python-mako
+         python-tornado (>= 4.2),
+         python-yaml,
+         ${misc:Depends},
+         ${python:Depends}
+Recommends: lsb-release, python-croniter
+Suggests: python-mako, salt-doc (= ${source:Version})
 Breaks: python-mako (<< 0.7.0)
 Description: shared libraries that salt requires for all packages
  salt is a powerful remote execution manager that can be used to
@@ -56,13 +56,13 @@
 
 Package: salt-master
 Architecture: all
-Depends: ${misc:Depends},
-         ${python:Depends},
-         salt-common (= ${source:Version}),
-         python-m2crypto,
-         python-crypto,
+Depends: python-crypto (>= 2.6),
          python-msgpack,
-         python-zmq (>= 13.1.0)
+         python-systemd | sysvinit-core,
+         python-zmq (>= 13.1.0),
+         salt-common (= ${source:Version}),
+         ${misc:Depends},
+         ${python:Depends}
 Recommends: python-git
 Description: remote manager to administer servers via salt
  salt is a powerful remote execution manager that can be used to
@@ -85,17 +85,15 @@
 
 Package: salt-minion
 Architecture: all
-Depends: ${misc:Depends},
-         ${python:Depends},
-         salt-common (= ${source:Version}),
-         python-m2crypto,
-         python-crypto,
+Depends: bsdmainutils,
+         dctrl-tools,
+         python-crypto (>= 2.6),
          python-msgpack,
          python-zmq (>= 13.1.0),
-         dctrl-tools,
-         bsdmainutils
-Recommends: dmidecode,
-            debconf-utils
+         salt-common (= ${source:Version}),
+         ${misc:Depends},
+         ${python:Depends}
+Recommends: debconf-utils, dmidecode
 Suggests: python-augeas
 Description: client package for salt, the distributed remote execution system
  salt is a powerful remote execution manager that can be used to
@@ -118,9 +116,7 @@
 
 Package: salt-syndic
 Architecture: all
-Depends: ${misc:Depends},
-         ${python:Depends},
-         salt-master (= ${source:Version})
+Depends: salt-master (= ${source:Version}), ${misc:Depends}, ${python:Depends}
 Description: master-of-masters for salt, the distributed remote execution system
  salt is a powerful remote execution manager that can be used to
  administer servers in a fast and efficient way.
@@ -143,11 +139,11 @@
 
 Package: salt-ssh
 Architecture: all
-Depends: ${misc:Depends},
-         ${python:Depends},
-         salt-common (= ${source:Version}),
-         python-msgpack
-Description: remote manager to administer servers via salt
+Depends: python-msgpack,
+         salt-common (= ${source:Version}),
+         ${misc:Depends},
+         ${python:Depends}
+Description: remote manager to administer servers via Salt SSH
  salt is a powerful remote execution manager that can be used to
  administer servers in a fast and efficient way.
  .
@@ -172,11 +168,11 @@
 Package: salt-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends},
-	 libjs-sphinxdoc,
-	 libjs-modernizr,
-	 libjs-twitter-bootstrap,
-	 libjs-jquery
+Depends: libjs-jquery,
+         libjs-modernizr,
+         libjs-sphinxdoc,
+         libjs-twitter-bootstrap,
+         ${misc:Depends}
 Description: additional documentation for salt, the distributed remote execution system
  salt is a powerful remote execution manager that can be used to
  administer servers in a fast and efficient way.
@@ -199,22 +195,32 @@
 
 Package: salt-cloud
 Architecture: all
-Depends: ${python:Depends},
-         ${misc:Depends},
-         salt-common (= ${source:Version}),
-         python-libcloud (>= 0.14.1-1)
+Depends: python-libcloud (>= 0.14.1-1),
+         salt-common (= ${source:Version}),
+         ${misc:Depends},
+         ${python:Depends}
 Suggests: python-botocore
 Recommends: python-netaddr
 Description: public cloud VM management system
- provision virtual machines on various public clouds via a cleanly
- controlled profile and mapping system.
+ Salt is a powerful remote execution manager that can be used to
+ administer servers in a fast and efficient way.
+ .
+ It allows commands to be executed across large groups of
+ servers. This means systems can be easily managed, but data can
+ also be easily gathered.  Quick introspection into running
+ systems becomes a reality.
+ .
+ Remote execution is usually used to set up a certain state on a
+ remote system. Salt addresses this problem as well, the salt
+ state system uses salt state files to define the state a server
+ needs to be in.
+ .
+ Salt Cloud is built-in to Salt to provision systems on cloud hosts or
+ hypervisors and immediately bring them under management.
 
 Package: salt-api
 Architecture: all
-Depends: ${python:Depends},
-         ${misc:Depends},
-         python,
-         salt-master
+Depends: salt-master, ${misc:Depends}, ${python:Depends}
 Recommends: python-cherrypy3
 Description: Generic, modular network access system
  a modular interface on top of Salt that can provide a variety of entry points
@@ -225,4 +231,28 @@
  to external sources. salt-api acts as the bridge between Salt itself and
  REST, Websockets, etc.
 
-
+Package: salt-proxy
+Architecture: all
+Depends: salt-minion (= ${source:Version}), ${misc:Depends}, ${python:Depends}
+Description: Proxy client package for salt stack
+ Proxy minion allows a remote manager to administer devices that are unable to
+ run a minion. salt is a powerful remote execution manager that can be used to
+ administer servers in a fast and efficient way.
+ .
+ It allows commands to be executed across large groups of
+ devices. This means systems can be easily managed, but data can
+ also be easily gathered.  Quick introspection into running
+ systems becomes a reality.
+ .
+ Remote execution is usually used to set up a certain state on a
+ remote system. Salt addresses this problem as well, the salt
+ state system uses salt state files to define the state a server
+ needs to be in.
+ .
+ Between the remote execution system, and state management Salt
+ addresses the backbone of cloud and data center management.
+ .
+ This particular package provides the salt proxy minion. It
+ is able to run salt modules and states on remote hosts via a proxy
+ which transmits appropriate commands to devices and replies with the
+ results of said commands.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,6 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE=1
-
-include /usr/share/python/python.mk
 
 %:
 	dh $@ --with python2,bash-completion --with=systemd

## salt 2016.3.0+ds

=== debian/changelog ===
salt (2016.3.0+ds-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Al Nikolov <clown@debian.org>  Fri, 17 Jun 2016 15:46:01 +0300

salt (2016.3.0+ds-1) unstable; urgency=medium

  [ Wolodja Wentland ]
  * New upstream release
  * Bump Standards-Version to 3.9.8
  * Use Build-Depends-Indep for arch independent build dependencies
    - Bump python-sphinx dependency to 1.3.5 as salt-doc FTBFS with earlier
      versions due to https://github.com/sphinx-doc/sphinx/issues/2247
    - Add python2.7-doc to correctly resolve intersphinx references to the
      Python documentation
  * Drop patches accepted upstream
  * Fix crashing maintenance process
    - See https://github.com/saltstack/salt/issues/33544 and the 2016.3.0
      release notes for details

  [ Robert James Hernandez ]
  * Moving daemon check to after loading default (Closes: #825578)

 -- Wolodja Wentland <debian@babilen5.org>  Mon, 30 May 2016 09:01:20 +0000

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,12 @@
                debhelper (>= 9.20120410~),
                dh-python,
                dh-systemd (>= 1.4),
+               dpkg-dev (>= 1.16.2),
                python | python-all | python-dev | python-all-dev,
                python-debian,
-               python-setuptools,
-               python-sphinx (>= 1.3)
-Standards-Version: 3.9.7
+               python-setuptools
+Build-Depends-Indep: python-sphinx (>= 1.3.5), python2.7-doc
+Standards-Version: 3.9.8
 Homepage: http://saltstack.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-salt/salt.git
 Vcs-Git: https://anonscm.debian.org/cgit/pkg-salt/salt.git

## salt 2016.3.1+ds

=== debian/changelog ===
salt (2016.3.1+ds-1) unstable; urgency=medium

  * New upstream release
  * Drop backported maintenance process patch
  * Change doc-base index file to ToC

 -- Wolodja Wentland <debian@babilen5.org>  Wed, 13 Jul 2016 10:46:06 +0200

## salt 2016.3.2+ds

=== debian/changelog ===
salt (2016.3.2+ds-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Al Nikolov <clown@debian.org>  Mon, 03 Oct 2016 19:22:29 +0300

salt (2016.3.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Fix documentation build (see upstream bug #35399).

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 25 Aug 2016 19:00:32 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
            Franklin G Mendoza <franklin.g.mendoza@gmail.com>,
            Andriy Senkovych <jolly_roger@itblog.org.ua>,
            Benjamin Drung <benjamin.drung@profitbricks.com>,
-           Wolodja Wentland <debian@babilen5.org>
+           Wolodja Wentland <debian@babilen5.org>,
+           Al Nikolov <clown@debian.org>
 Build-Depends: bash-completion,
                debhelper (>= 9.20120410~),
                dh-python,
@@ -14,6 +15,7 @@
                dpkg-dev (>= 1.16.2),
                python | python-all | python-dev | python-all-dev,
                python-debian,
+               python-msgpack,
                python-setuptools
 Build-Depends-Indep: python-sphinx (>= 1.3.5), python2.7-doc
 Standards-Version: 3.9.8

## salt 2016.3.3+ds

=== debian/changelog ===
salt (2016.3.3+ds-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Al Nikolov <clown@debian.org>  Wed, 02 Nov 2016 10:07:16 +0200

salt (2016.3.3+ds-3) unstable; urgency=medium

  * Remove grains type deprecation warning from 2016.3

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 27 Oct 2016 17:03:26 +0200

salt (2016.3.3+ds-2) unstable; urgency=medium

  * Depend on python-systemd for all services (needed for startup notification)
    unless sysvinit is used as default init system
  * Cherry-pick upstream commit to fix error when profiling is turned on and
    minions don't return.
  * Preserve the merge order specified in env_order (fixes upstream bug #29104)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Tue, 25 Oct 2016 11:46:19 +0200

salt (2016.3.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * Replace doc build fix patch by final patch version from 2016.3 branch
  * Correct Vcs-Git URL
  * Make the Salt Proxy environment aware (patch taken from develop branch)
  * Depend on lsb-base (>= 3.0-6) for /lib/lsb/init-functions

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Tue, 18 Oct 2016 11:45:38 +0200

## salt 2016.3.4+ds

=== debian/changelog ===
salt (2016.3.4+ds-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Al Nikolov <clown@debian.org>  Tue, 06 Dec 2016 23:14:05 +0200

salt (2016.3.4+ds-2) unstable; urgency=medium

  * Workaround-wrong-oscodename-grain.patch: Fix salt-minion startup issue when
    VERSION_ID is not defined in /etc/os-release.

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Tue, 29 Nov 2016 10:47:07 +0100

salt (2016.3.4+ds-1) unstable; urgency=medium

  * New upstream release.
  * Drop four upstream-applied patches and refresh remaining patches
  * Support initializing OpenSSL 1.1 (patch accepted upstream) (Closes: #844503)
  * Fix/workaround wrong oscodename grain (when lsb-release is not installed)
  * Cherry-pick tempfile cleanup fix from pull request 37540

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 24 Nov 2016 15:35:04 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Andriy Senkovych <jolly_roger@itblog.org.ua>,
            Benjamin Drung <benjamin.drung@profitbricks.com>,
            Wolodja Wentland <debian@babilen5.org>,
-           Al Nikolov <clown@debian.org>
+           Al Nikolov <clown@deian.org>
 Build-Depends: bash-completion,
                debhelper (>= 9.20120410~),
                dh-python,
@@ -21,7 +21,7 @@
 Standards-Version: 3.9.8
 Homepage: http://saltstack.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-salt/salt.git
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-salt/salt.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-salt/salt.git
 
 Package: salt-common
 Architecture: all
@@ -59,7 +59,8 @@
 
 Package: salt-master
 Architecture: all
-Depends: python-crypto (>= 2.6),
+Depends: lsb-base (>= 3.0-6),
+         python-crypto (>= 2.6),
          python-msgpack,
          python-systemd | sysvinit-core,
          python-zmq (>= 13.1.0),
@@ -90,8 +91,10 @@
 Architecture: all
 Depends: bsdmainutils,
          dctrl-tools,
+         lsb-base (>= 3.0-6),
          python-crypto (>= 2.6),
          python-msgpack,
+         python-systemd | sysvinit-core,
          python-zmq (>= 13.1.0),
          salt-common (= ${source:Version}),
          ${misc:Depends},
@@ -119,7 +122,11 @@
 
 Package: salt-syndic
 Architecture: all
-Depends: salt-master (= ${source:Version}), ${misc:Depends}, ${python:Depends}
+Depends: lsb-base (>= 3.0-6),
+         python-systemd | sysvinit-core,
+         salt-master (= ${source:Version}),
+         ${misc:Depends},
+         ${python:Depends}
 Description: master-of-masters for salt, the distributed remote execution system
  salt is a powerful remote execution manager that can be used to
  administer servers in a fast and efficient way.
@@ -223,7 +230,11 @@
 
 Package: salt-api
 Architecture: all
-Depends: salt-master, ${misc:Depends}, ${python:Depends}
+Depends: lsb-base (>= 3.0-6),
+         python-systemd | sysvinit-core,
+         salt-master,
+         ${misc:Depends},
+         ${python:Depends}
 Recommends: python-cherrypy3
 Description: Generic, modular network access system
  a modular interface on top of Salt that can provide a variety of entry points

## salt 2016.11.1+ds

=== debian/changelog ===
salt (2016.11.1+ds-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Temporarily disable cleaning the upstream doc to workaround #851559.

 -- Al Nikolov <clown@debian.org>  Sun, 29 Jan 2017 13:19:50 +0300

salt (2016.11.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Drop 3 patches that are included upstream and refresh remaining patches.

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Fri, 23 Dec 2016 17:36:42 +0100

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	make -C doc man
 
 override_dh_auto_clean:
-	make -C doc clean
+	#make -C doc clean # disabled to workaround #851559
 	dh_auto_clean
 
 override_dh_fixperms:

## salt 2016.11.2%2Bds

=== debian/changelog ===
salt (2016.11.2+ds-1+deb9u2) stretch; urgency=medium

  * Fix CVE-2017-8109: salt-ssh minion copied over configuration from the
    Salt Master without adjusting permissions (Closes: #861219)

 -- Ondřej Nový <onovy@debian.org>  Fri, 20 Apr 2018 14:33:54 +0200

salt (2016.11.2+ds-1+deb9u1) stretch; urgency=medium

  * Fix CVE-2017-12791: Directory traversal vulnerability on salt-master
    via crafted minion IDs (Closes: #872399)
  * Fix CVE-2017-14695: Directory traversal vulnerability in minion id
    validation in SaltStack (Closes: #879089)
  * Fix CVE-2017-14696: Remote Denial of Service with a specially crafted
    authentication request (Closes: #879090)
  * Check if data[return] is dict type (Closes: #887724)
  * Do not require sphinx-build for cleaning docs (Closes: #851559)

 -- Ondřej Nový <onovy@debian.org>  Mon, 22 Jan 2018 16:30:47 +0100

salt (2016.11.2+ds-1) unstable; urgency=medium

  * New upstream bug-fix release. Security fixes:
    - CVE-2017-5192: local_batch client external authentication not respected
    - CVE-2017-5200: Salt-api allows arbitrary command execution on a
      salt-master via Salt's ssh_client
  * Refresh patches
  * Fix top_file_merging_strategy warning if env_order is set (fixes upstream
    bug #29104)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Wed, 01 Feb 2017 17:09:07 +0100
